curl --request POST \
--url https://api.vori.com/v1/item-modifiers \
--header 'Authorization: Bearer <token>' \
--header 'Content-Type: application/json' \
--data '
{
"name": "<string>",
"store_id": "<string>",
"value": "199.99"
}
'import requests
url = "https://api.vori.com/v1/item-modifiers"
payload = {
"name": "<string>",
"store_id": "<string>",
"value": "199.99"
}
headers = {
"Authorization": "Bearer <token>",
"Content-Type": "application/json"
}
response = requests.post(url, json=payload, headers=headers)
print(response.text)const options = {
method: 'POST',
headers: {Authorization: 'Bearer <token>', 'Content-Type': 'application/json'},
body: JSON.stringify({name: '<string>', store_id: '<string>', value: '199.99'})
};
fetch('https://api.vori.com/v1/item-modifiers', options)
.then(res => res.json())
.then(res => console.log(res))
.catch(err => console.error(err));
{
"id": "<string>",
"created_at": "2023-11-07T05:31:56Z",
"name": "<string>",
"price_tag_label": "BOTTLE_DEPOSIT",
"store_id": "<string>",
"tax_behavior": "EXCLUDE",
"type": "bottle_deposit",
"updated_at": "2023-11-07T05:31:56Z",
"value": "199.99"
}{
"error_code": "conflicting_property_values"
}{
"error_code": "insufficient_permissions",
"error_details": {
"action": "*",
"resource": "*"
}
}Create an item modifier
Create an item modifier
Authorizations
Bearer authentication header of the form Bearer <token>, where <token> is your auth token.
Body
Human-readable item modifier name.
ID of the store the item modifier belongs to.
^[0-9]+$Business purpose of the item modifier.
bottle_deposit, custom, food_modifier Monetary value of the modifier as a decimal string in major/minor currency units.
^[0-9]+(\.[0-9]+)?$"199.99"
Optional shelf-tag classification for bottle deposits or container redemption value.
BOTTLE_DEPOSIT, CRV Whether the modifier is excluded from tax or inherits the product tax behavior.
EXCLUDE, INHERIT_FROM_STORE_PRODUCT Response
A charge added alongside a product's price, such as a bottle deposit.
Unique identifier for the record.
When the record was created.
Human-readable item modifier name.
Optional shelf-tag classification for bottle deposits or container redemption value.
BOTTLE_DEPOSIT, CRV ID of the store the item modifier belongs to.
^[0-9]+$Whether the modifier is excluded from tax or inherits the product tax behavior.
EXCLUDE, INHERIT_FROM_STORE_PRODUCT Business purpose of the item modifier.
bottle_deposit, custom, food_modifier When the record was last changed.
Monetary value of the modifier as a decimal string in major/minor currency units.
^[0-9]+(\.[0-9]+)?$"199.99"
Was this page helpful?